#ifndef __ORTOOL_SKELETON_TOOL_H__
#define __ORTOOL_SKELETON_TOOL_H__

//--- SDK include
#include <fbsdk/fbsdk.h>

//--- Registration define
#define ORTOOLHIDESHOW__CLASSNAME	ORToolHideShow
#define ORTOOLHIDESHOW__CLASSSTR	"ORToolHideShow"

//! Simple skeleton tool.
class ORToolHideShow: public FBTool
{
	FBToolDeclare(ORToolHideShow, FBTool);
public:
	virtual bool FBCreate();
	virtual void FBDestroy();

private:
	void UICreate	();
	void UIConfigure();
	void UIReset	();

	void EventButtonShowClick	(HISender pSender, HKEvent pEvent);
	void EventButtonHideClick	(HISender pSender, HKEvent pEvent);
	
	void EventToolShow			(HISender pSender, HKEvent pEvent);
	void EventToolIdle			(HISender pSender, HKEvent pEvent);

private:
	FBSystem mSystem;
	FBLabel mLabelDirections;
	FBButton mButtonShow;
	FBButton mButtonHide;
};
#endif 
